curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": null,
"carrier": null,
"trackingUrl": null,
"estimatedDelivery": null
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": null,
"stage": null,
"source": null,
"status": null,
"summary": null,
"occurredAt": null
}
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
List orders with filtering and pagination
List of orders
GET
/
v1
/
tenants
/
{tenant_id}
/
orders
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": null,
"carrier": null,
"trackingUrl": null,
"estimatedDelivery": null
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": null,
"stage": null,
"source": null,
"status": null,
"summary": null,
"occurredAt": null
}
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
Path parameters
string
required
Tenant identifier
Query parameters
integer (int32)
Page number (1-indexed)
integer (int32)
Items per page (max 100)
string
Filter by order status
string
Filter by creation date (ISO 8601)
string
Filter by creation date (ISO 8601)
string
Search by order number
string
Search by Shopify order ID
string
Filter by tags (comma-separated)
Response
object
object[]
required
The items on this page
Show items
Show items
string (uuid)
required
Unique StateSet order ID
string
required
Shopify order ID
string
required
Order number
string
required
Order status
object[]
required
string (date-time)
required
Order creation timestamp
string (date-time)
required
Last update timestamp
string[]
required
Order tags
string
Location ID for fulfillment
string
NetSuite order ID if synced
string
NetSuite transaction ID if available
string (date-time)
When this order was synced to NetSuite
string
Last NetSuite sync error
string (date-time)
Last NetSuite sync attempt time
string
Fulfillment status
object
string (date-time)
When this order was submitted to DCL
string
Last DCL submission error
string (date-time)
Last DCL submission attempt time
string
DCL location used during submission
string
Luminous order ID if synced
string (date-time)
When this order was synced to Luminous
string
Last Luminous sync error
string (date-time)
Last Luminous sync attempt time
string (date-time)
When this order was submitted to Capacity
string
Last Capacity submission/cancel error
string (date-time)
Last Capacity operation attempt time
object
Summary of the latest movement event for an order
object
required
Status codes
| Code | Meaning |
|---|---|
200 | List of orders |
401 | Unauthorized |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shopifyOrderId": "string",
"orderNumber": "ORD-10042",
"status": "pending",
"lineItems": [],
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"tags": [],
"locationId": "string",
"netsuiteId": "string",
"netsuiteTranId": "string",
"netsuiteSyncedAt": "2026-08-31T14:22:05Z",
"netsuiteLastError": "string",
"netsuiteLastAttemptAt": "2026-08-31T14:22:05Z",
"fulfillmentStatus": "string",
"tracking": {
"trackingNumber": null,
"carrier": null,
"trackingUrl": null,
"estimatedDelivery": null
},
"dclSubmittedAt": "2026-08-31T14:22:05Z",
"dclLastError": "string",
"dclLastAttemptAt": "2026-08-31T14:22:05Z",
"dclLocation": "string",
"luminousOrderId": "string",
"luminousSyncedAt": "2026-08-31T14:22:05Z",
"luminousLastError": "string",
"luminousLastAttemptAt": "2026-08-31T14:22:05Z",
"capacitySubmittedAt": "2026-08-31T14:22:05Z",
"capacityLastError": "San Francisco",
"capacityLastAttemptAt": "2026-08-31T14:22:05Z",
"latestMovement": {
"eventType": null,
"stage": null,
"source": null,
"status": null,
"summary": null,
"occurredAt": null
}
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}